BARMAN-DIAGNOSE(1)

NAME
barman-diagnose - Barman Sub-Commands

SYNOPSIS

    diagnose
        [ { -h | --help } ]
        [ --show-config-source ]

DESCRIPTION

Display diagnostic information about the Barman node, which is the server where Barman is installed, as well as all configured Postgres servers. This includes details such as global configuration, SSH version, Python version, rsync version, the current configuration and status of all servers, and many more.

PARAMETERS

-h / --help
    Show a help message and exit. Provides information about command usage.

--show-config-source
    Include the source file which provides the effective value for each configuration option.

Author
EnterpriseDB

Copyright
© Copyright EnterpriseDB UK Limited 2011-2026